import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
//这是字段组件
import React from 'react';
import "./index.scss";
import { bizCssPrefix } from "../../variables";
var Field = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(Field, _React$Component);
  function Field(props) {
    return _React$Component.call(this, props) || this;
  }
  var _proto = Field.prototype;
  _proto.render = function render() {
    var _this$props = this.props,
      displayName = _this$props.displayName,
      fieldName = _this$props.fieldName,
      style = _this$props.style;
    // console.log(displayName);
    return /*#__PURE__*/React.createElement("div", {
      style: style,
      className: bizCssPrefix + '-field'
    }, displayName);
  };
  return Field;
}(React.Component);
Field.displayName = 'Field';
export default Field;